Subject: Re: [Sigtran] M2PA Comment -- How do M2PA peers resynch seq nos after processor outage?

From: [email-masked]
Date: Thu, 18 Jul 2002 08:36:31 -0400

Hello Brian,

It sounds like the challenges I mentioned are implementation issues, not
protocol issues.

Some side notes:
     Why stop transmitting when a LSPO is received? Isn't this similar to
remote busy:
     design for a transient outage, minimize latency for recovery by
continuing to
     transmit?

     4.1.4 2nd paragraph, last sentence -- "M2PA shall stop receiving
incoming
     messages from SCTP" should be "M2PA shall stop receiving User Data
     messages from SCTP".

Regards,

Jeff

"Brian F. G. Bidulock" <[email-masked]>@ietf.org on 07/17/2002
08:05:00 PM

Please respond to [email-masked]

Sent by:  [email-masked]

To:   [email-masked]
cc:   [email-masked]
Subject:  Re: [Sigtran] M2PA Comment -- How do M2PA peers resynch seq nos
      after processor outage?

Jeffrey,

Huh?  When MSUs are not ACKed they are held in the sending M2UA's buffers
for retranmission on a new association (or alternate link).  Should the
link ultimately fail as a result of SIPO, these messages will be flushed
or diverted to the alternate link.  If SIPO clears, there is nothing
stopping
the sender from picking up where it left off.  I do not see the need for
more procedure.

--brian

[email-masked] wrote:                       (Wed, 17 Jul 2002
08:04:27)
> Hello All,
>
> I would like to see the M2PA draft clarify the processor outage
procedure,
> and
> specifically the resynchronization of sequence numbers after the outage
> clears.
>
> Since, according to the draft, the node experiencing the outage "stops
> receiving",
> I am assuming that it merely picks up where it left off when the outage
> clears.
>
> The fact that the M2PA adapter layer performs ACKs but lacks the
capability
> to
> retransmit makes the implementation of this procedure a challenge. By the
> time
> the far end gets the Link Status Processor Outage message, plenty of
> un-ACK'd
> user data is on the wire and in the SCTP layer of the node experiencing
the
> outage. How does the local outage node know what to do with this data
after
> resuming? Depending on duration of the outage, this user data could
already
> have been rerouted, and therefore should be discarded. Implementing T7
> (excess delay of ACK) is a further complication.
>
> I propose that rather than stopping receiving, the outage node continues
to
> receive, but discards all user data (no BSN update), during the outage.
> When
> the outage clears,  it sends a LSPOE with the latest FSN and BSN. The
> far-end,
> upon receiving LSPOE, sets its FSN and BSN to match, and then retransmits
> from its retransmit queue based on the peer's BSN. It is possible that
the
> retransmit queue will be empty, if retrieval or flush occured. T7 is
> disabled
> during processor outage.
>
> Regards,
>
> Jeff
>
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran